> ## Documentation Index
> Fetch the complete documentation index at: https://developers.portao3.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# /realms/{realmId}/organizations/{organizationId}/customer



## OpenAPI

````yaml /api-reference/customer.openapi.json post /realms/{realmId}/organizations/{organizationId}/customer
openapi: 3.0.3
info:
  title: Customer
  version: 1.0.0
  description: >-
    Portão 3 customer API. Generated by tools/openapi from code (routes +
    security) and the hand-written spec (request/response bodies). Confidence
    tiers: generated:typed=6 copied:manual=0 unknown=8.
servers:
  - url: https://api.customer.v2.portao3.com.br/
    description: production
  - url: https://api.customer.dev.3pers.com.br/
    description: development
security:
  - bearerAuth: []
tags:
  - name: Customer Billing
  - name: Customers
paths:
  /realms/{realmId}/organizations/{organizationId}/customer:
    post:
      tags:
        - Customers
      summary: /realms/{realmId}/organizations/{organizationId}/customer
      operationId: postRealmsByRealmIdOrganizationsByOrganizationIdCustomer
      parameters:
        - name: realmId
          in: path
          required: true
          schema:
            type: string
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 100
                trandingName:
                  type: string
                email:
                  type: string
                  format: email
                  pattern: >-
                    ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                phoneNumber:
                  type: string
                  minLength: 1
                document:
                  type: string
                  minLength: 1
                address:
                  type: object
                  properties:
                    city:
                      type: string
                      minLength: 1
                      maxLength: 50
                    neighborhood:
                      type: string
                      minLength: 1
                      maxLength: 100
                    number:
                      type: string
                      minLength: 1
                    state:
                      type: string
                      enum:
                        - AC
                        - AL
                        - AP
                        - AM
                        - BA
                        - CE
                        - ES
                        - GO
                        - MA
                        - MT
                        - MS
                        - MG
                        - PA
                        - PB
                        - PR
                        - PE
                        - PI
                        - RJ
                        - RN
                        - RS
                        - RO
                        - RR
                        - SC
                        - SP
                        - SE
                        - TO
                        - DF
                    street:
                      type: string
                      minLength: 1
                      maxLength: 100
                    postalCode:
                      type: string
                      minLength: 1
                    complement:
                      type: string
                      maxLength: 50
                  required:
                    - city
                    - neighborhood
                    - number
                    - state
                    - street
                    - postalCode
                customFields:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        minLength: 1
                      label:
                        type: string
                        minLength: 1
                      values:
                        type: array
                        items:
                          type: string
                      identifier:
                        type: string
                        minLength: 1
                      version:
                        type: number
                    required:
                      - id
                      - label
                      - values
                      - identifier
                      - version
              required:
                - name
                - email
                - phoneNumber
                - document
                - address
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  address:
                    type: object
                    properties:
                      street:
                        type: string
                      number:
                        type: string
                      complement:
                        type: string
                      neighborhood:
                        type: string
                      city:
                        type: string
                      state:
                        type: string
                      postalCode:
                        type: string
                  name:
                    type: string
                  document:
                    type: string
                  documentType:
                    type: string
                  trandingName:
                    type: string
                  email:
                    type: string
                  phoneNumber:
                    type: string
                  hash:
                    type: string
                  customFields:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        label:
                          type: string
                        values:
                          type: array
                          items:
                            type: string
                        identifier:
                          type: string
                        externalIdentifier:
                          type: string
                        type:
                          type: string
                        version:
                          type: number
                      required:
                        - id
                        - label
                        - values
                        - identifier
                        - externalIdentifier
                        - type
                        - version
                required:
                  - id
                  - hash
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````